> ## Documentation Index
> Fetch the complete documentation index at: https://hm-95ec977f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# install conda

> Guide for installing conda to manage multiple Python versions

***

## Installing Miniconda via Homebrew

[https://formulae.brew.sh/cask/miniconda](https://formulae.brew.sh/cask/miniconda)

If you use Homebrew on macOS, you can install Miniconda with:

```bash theme={null}
brew update
brew install --cask miniconda
```

After installation, initialize Conda for your shell (e.g., zsh):

```bash theme={null}
conda init zsh
```

Restart your terminal or run:

```bash theme={null}
source ~/.zshrc
```

Then verify:

```bash theme={null}
conda --version
```

## Installing `uv`

[`uv`](https://github.com/astral-sh/uv) is a fast Python package manager. You can install it via:

[https://docs.astral.sh/uv](https://docs.astral.sh/uv)

```bash theme={null}
curl -LsSf https://astral.sh/uv/install.sh | sh
source $HOME/.local/bin/env # (sh, bash, zsh)
```

After installation, verify it with:

```bash theme={null}
uv --version
```

***

<br />

[![GitHub stars](https://img.shields.io/github/stars/browser-use/macOS-use?style=social)](https://github.com/browser-use/macOS-use/stargazers)
[![Discord](https://img.shields.io/discord/1303749220842340412?color=7289DA\&label=Discord\&logo=discord\&logoColor=white)](https://link.browser-use.com/discord)
[![Twitter Follow](https://img.shields.io/twitter/follow/OfirOzeri?style=social)](https://x.com/OfirOzeri)
[![Twitter Follow](https://img.shields.io/twitter/follow/Gregor?style=social)](https://x.com/gregpr07)
[![Twitter Follow](https://img.shields.io/twitter/follow/Magnus?style=social)](https://x.com/mamagnus00)

macOS-use enables AI agents to interact with your Macbook [see it in action!](#demos)

# Quick start

⚠️ Important: Review the [Warning](#warning) section before proceeding.

### With pip:

```bash theme={null}
pip install mlx-use
```

### From github

Clone first

```bash theme={null}
git clone https://github.com/browser-use/macOS-use.git && cd macOS-use
```

Don't forget API key Supported providers: [OAI](https://platform.openai.com/docs/quickstart), [Anthropic](https://docs.anthropic.com/en/api/admin-api/apikeys/get-api-key) or [Gemini](https://ai.google.dev/gemini-api/docs/api-key) (deepseek R1 coming soon!)

At the moment, macOS-use works best with OAI or Anthropic API, although Gemini is free. While Gemini works great too, it is not as reliable.

```bash theme={null}
cp .env.example .env
```

```bash theme={null}
open ./.env
```

We recommend using macOS-use with uv environment

```bash theme={null}
brew install uv && uv venv && source .venv/bin/activate
```

Install locally and you're good to go! try the first exmaple!

```bash theme={null}
uv pip install --editable . && python examples/try.py

```

Try prompting it with

```bash theme={null}
open the calculator app
```
